#pragma once
/*
	File:		LAnimateCursor.h
	
	Contains:	Cursor spinning routines -b&w cursors only, yet.

	Copyright:	1995 Chris K. Thomas.  All Rights Reserved.

	Version:	2.1
*/

#include "LProgressIndicator.h"
#include <LArray.h>
#include "LCursor.h"

//
// minSpinTicks: minimum number of ticks required
// before cursor is changed
//

const short 	kMinSpinTicks = 5;

class LAnimateCursor:
	public LCursor,
	public LProgressIndicator
{
	LArray			mYCursors;
	long			mLastTicks;
	long			mCursorIterator;
	
public:
					LAnimateCursor(const short inStartID, const short inNumCursors);
	virtual			~LAnimateCursor();
	
	virtual void	Set();
	
	//
	// from LProgressIndicator
	//
	virtual void	ValueChanged() 
	{
		Set();
	}
};

