#pragma once
/*
	File:		LCursor.h
	
	Contains:	Base cursor class.
				LCursor framework.

	Copyright:	1995 Chris K. Thomas.  All Rights Reserved.

	Version:	2.1
*/

class LCursor
{

protected:
	Handle				mCursorHandle;
	Boolean				mIsColor;
	
	//
	// if the cursor is locked, it shouldn't be changed
	// until unlocked.  This is unenforced protocol.
	//
	static Boolean		sCursorLocked;
	static LCursor		*sCurrentCursor;
	
public:
		LCursor(UInt16 inCursorID);
		~LCursor();
		
		virtual void	Set();
		virtual void	Unset();
		
		static void		Lock() {sCursorLocked = true;}
		static void		Unlock() {sCursorLocked = false;}
		static Boolean	IsLocked() {return sCursorLocked;}
};
